Description

Current translation of the string "field_assignable" is not good.

It should be: "İş atanabilir"

Associated revisions

Revision 23484 - 2025-02-01 08:03 - Go MAEDA

Fix Turkish translation of field_assignable (#42170).

Patch by Akın Demirci (user:akin.demirci).

Revision 23485 - 2025-02-04 03:16 - Go MAEDA

Merged r23484 from trunk to 6.0-stable (#42170).

History

#1 - 2025-01-30 09:05 - Go MAEDA

Thank you for your suggestion.

I believe the current translation, "Bu role atanabilecek işler," accurately reflects the original English text, "Issues can be assigned to users with this

role."

Could you share why you think "İş atanabilir" would be a better choice? I would like to understand your perspective.

#2 - 2025-01-30 11:52 - Akın Demirci

Sorry, I forgot to mention that I'm a native Turkish speaker :)

"Issues can be assigned to users with this role." means:

"Bu roldeki kullanıcılara iş atanabilir." (we should use this)

And the current translation "Bu role atanabilecek işler" means:

"Issues that can be assigned to this role"

Hope it makes sense.

#3 - 2025-01-30 12:01 - Go MAEDA

Akın Demirci wrote in #note-2:

"Issues can be assigned to users with this role." means:

"Bu roldeki kullanıcılara iş atanabilir." (we should use this)

 Thank you for your feedback.

In that case, would it be okay to commit the following patch as your contribution?

diff --git a/config/locales/tr.yml b/config/locales/tr.yml

index ff3eb27ea..02bf28435 100644

--- a/config/locales/tr.yml

+++ b/config/locales/tr.yml

@@ -280,7 +280,7 @@ tr:

   field_is_filter: süzgeç olarak kullanılmış

   field_issue_to: İlişkili iş

   field_delay: Gecikme
-  field_assignable: Bu role atanabilecek işler

+  field_assignable: Bu roldeki kullanıcılara iş atanabilir

   field_redirect_existing_links: Mevcut bağlantıları yönlendir

   field_estimated_hours: Kalan zaman

   field_column_names: Sütunlar

#4 - 2025-01-30 12:04 - Akın Demirci

Yes, that would be okay. Thanks.

#5 - 2025-01-30 12:08 - Go MAEDA

- Target version set to 5.1.7

Setting the target version to 5.1.7.

#6 - 2025-01-30 12:08 - Go MAEDA

- Tracker changed from Patch to Defect

#7 - 2025-02-01 08:03 - Go MAEDA

- Subject changed from Correct Turkish translation of field_assignable to Fix Turkish translation of field_assignable

- Status changed from New to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix in r23484.

#8 - 2025-02-04 03:17 - Go MAEDA

- Status changed from Resolved to Closed

- Target version changed from 5.1.7 to 6.0.4

Merged the fix into the 6.0-stable branch in r23485.

Thank you for your contribution.
